DefaultUrlMappingEvaluator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingEvaluator

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingEvaluator

All Implemented Interfaces:
  ClassLoaderAware, PluginManagerAware, UrlMappingEvaluator

    public class DefaultUrlMappingEvaluator
    extends java.lang.Object

A UrlMapping evaluator that evaluates Groovy scripts that are in the form:

     mappings {
        /$post/$year?/$month?/$day?" {
           controller = "blog"
           action = "show"
           constraints {
               year(matches:/\d{4}/)
               month(matches:/\d{2}/)
           }
        }
     }

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary
`static java.lang.String` | `ACTION_CREATE`
`static java.lang.String` | `ACTION_DELETE`
`static java.lang.String` | `ACTION_EDIT`
`static java.lang.String` | `ACTION_INDEX`
`static java.lang.String` | `ACTION_SAVE`
`static java.lang.String` | `ACTION_SHOW`
`static java.lang.String` | `ACTION_UPDATE`
`static java.util.List` | `DEFAULT_RESOURCES_INCLUDES`
`static java.util.List` | `DEFAULT_RESOURCE_INCLUDES`

Constructor Summary
`DefaultUrlMappingEvaluator(javax.servlet.ServletContext servletContext)` @deprecated Used DefaultUrLMappingsEvaluator(ApplicationContext) instead
`DefaultUrlMappingEvaluator(org.springframework.web.context.WebApplicationContext applicationContext)`

Method Summary
`java.util.List` | `evaluateMappings(org.springframework.core.io.Resource resource)`
`java.util.List` | `evaluateMappings(java.lang.Class theClass)`
`java.util.List` | `evaluateMappings(groovy.lang.Closure closure)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setPluginManager(GrailsPluginManager pluginManager)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ACTION_CREATE

    public static final java.lang.String ACTION_CREATE

### ACTION_DELETE

    public static final java.lang.String ACTION_DELETE

### ACTION_EDIT

    public static final java.lang.String ACTION_EDIT

### ACTION_INDEX

    public static final java.lang.String ACTION_INDEX

### ACTION_SAVE

    public static final java.lang.String ACTION_SAVE

### ACTION_SHOW

    public static final java.lang.String ACTION_SHOW

### ACTION_UPDATE

    public static final java.lang.String ACTION_UPDATE

### DEFAULT_RESOURCES_INCLUDES

    public static final java.util.List DEFAULT_RESOURCES_INCLUDES

### DEFAULT_RESOURCE_INCLUDES

    public static final java.util.List DEFAULT_RESOURCE_INCLUDES

Constructor Detail

### DefaultUrlMappingEvaluator

    @java.lang.Deprecated
    public DefaultUrlMappingEvaluator(javax.servlet.ServletContext servletContext)

  deprecated:
    Used DefaultUrLMappingsEvaluator(ApplicationContext) instead
  Parameters:
    `servletContext` - The servlet context

### DefaultUrlMappingEvaluator

    public DefaultUrlMappingEvaluator(org.springframework.web.context.WebApplicationContext applicationContext)

Method Detail

### evaluateMappings

    @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
    public java.util.List evaluateMappings(org.springframework.core.io.Resource resource)

### evaluateMappings

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public java.util.List evaluateMappings(java.lang.Class theClass)

### evaluateMappings

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(groovy.lang.Closure closure)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

Groovy Documentation